---
lang: en
title: 'API docs: context.resolutionoptions.asproxywithinterceptors'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.resolutionoptions.asproxywithinterceptors.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [ResolutionOptions](./context.resolutionoptions.md) &gt; [asProxyWithInterceptors](./context.resolutionoptions.asproxywithinterceptors.md)

## ResolutionOptions.asProxyWithInterceptors property

A boolean flag to control if a proxy should be created to apply interceptors for the resolved value. It's only honored for bindings backed by a class.

**Signature:**

```typescript
asProxyWithInterceptors?: boolean;
```

